CREATE   procedure [C6StagingPeriodico].[RP_ST_Migraz_Progetto] as  
begin   
 -- Log esecuzione  
 INSERT INTO LOG_ESECUZIONE_PERIODICO  
  (Nome, Inizio, Nota)  
 VALUES (  
  'RP_ST_Migraz_Progetto',  
  GETDATE(),  
  'Elaborazione Trimestrale'  
 )  
 truncate table C6StagingPeriodico.RP_Migraz_Progetto
	insert into C6StagingPeriodico.RP_Migraz_Progetto(
	chiaveProgetto
      ,area
      ,chiaveConsulenza
      ,tipoProgetto
      ,dtCreazione
      ,varProgetto
      ,coperturaProgetto
      ,ctvProgetto
      ,chiaveProgettoMod
	  ,chiavePtfMod
	  )
	select 
	prog.chiaveProgetto
      -------------------------> modifica del 18/1/2017 per gestire l'accorpamento (sulla nuova CU) dell'area previdenza, non più distinta tra pre1 e pre2
			--,a.area
	    ,CASE 
				WHEN propirMod.nomeProgetto = 'Previdenza Essenziale' and a.area = 'Pre' THEN 'Pre1'
				WHEN propirMod.nomeProgetto = 'Previdenza Secondaria' and a.area = 'Pre' THEN 'Pre2'
			-------------------------> fine modifica del 16/1/2017
			else a.area END AS area
      -------------------------> FINE modifica del 18/1/2017 
      ,chiaveConsulenza
      ,null as tipoProgetto -- NUOVO 16/09
      ,null as dtCreazione
      ,null as varProgetto
      ,coperturaProgetto
      ,null as ctvProgetto
      ,propirMod.chiaveProgettoMod
	  ,prog.chiaveptfmod
	from CONSUNI_PERIODICO.ConsulenzaUnica.dbo.Progetto prog
	inner join CONSUNI_PERIODICO.ConsulenzaUnica.dbo.area a
	on a.chiaveArea = prog.chiavearea
	inner join CONSUNI_PERIODICO.ConsulenzaUnica.dbo.ProgettiPiramideModello propirMod
	on propirMod.chiaveprogettomod = prog.chiaveprogettomod
	inner join CONSUNI_PERIODICO.ConsulenzaUnica.dbo.PosizioniPortafoglio pospor
	on pospor.chiaveprogetto = prog.chiaveprogetto
	inner join CONSUNI_PERIODICO.ConsulenzaUnica.dbo.DettaglioPosizionePortafoglio dett
	on dett.chiaveposizioneptf = pospor.chiaveposizioneptf
 -- Log esecuzione  
 UPDATE  
  LOG_ESECUZIONE_PERIODICO  
 SET  
  Fine = GETDATE(),  
  Tipo = 'INSERT',  
  Righe = @@ROWCOUNT  
 WHERE  
  Nome = 'RP_ST_Migraz_Progetto' AND  
  Inizio = (  
   SELECT  
    MAX(Inizio)  
   FROM  
    LOG_ESECUZIONE_PERIODICO  
   WHERE  
    Nome = 'RP_ST_Migraz_Progetto'  
  )  
end